aladdingame

你好

现在已经按照(https://github.com/EsotericSoftware/spine-runtimes/tree/3.8/spine-cocos2dx)提示下载了文件。并安装
屏幕快照 2019-10-15 下午2.36.02.png

现在项目可以编译没有错误,但是运行到spine 建立就有问题了
代码
auto skeletonNode = spine::SkeletonAnimation::createWithFile("json/3/beijing1.json", "json/3/beijing1.atlas", 0.5f);
屏幕快照 2019-10-15 下午2.42.00.png

我们还做了如下尝试
1.我们把原来spine2.0制作的动画用spine3.8导出也是这个错误
2.我们降低了spine为3.7版本,导出也是这个错误
3.我们使用原来的spine2.0导出的资源,不提示错误,但是没有任何动画显示


请问如何可以解决?
另外coco2d-x3.8可以用哪个spine的版本?请告诉我们一下!
----------------------------
我系统配置
电脑:mac pro 10.14.4
xcode:10.2.1
游戏引擎:cocos2d-x3.8
spine:3.8
--------------------------
Nemaš dopuštenje za pregledavanje privit(a)ka dodan(og)ih postu.
aladdingame
  • Postovi: 5

Mario

回答最后一个问题:3.8分支中的spine-cocos2d-x与从Spine Editor 3.8导出的.json和.skel导出一起使用。 混合版本不起作用,不建议使用。

关于崩溃,请通过contact@esotericsoftware.com将该骨架的.json,.atlas和.png文件发送给我们。

To answer your last question: spine-cocos2d-x from the 3.8 branch works with .json and .skel exports exported from Spine Editor 3.8. Mixing versions will not work and is discouraged.

Regarding your crash, please send the .json, .atlas, and .png files for that skeleton to us at contact@esotericsoftware.com.
Avatar
Mario

Mario
  • Postovi: 3043

aladdingame

我安装的不对,还是请详细说明一下安装步骤吧。网站上的参考看不懂,我新建的项目也是使用不带coco2d项目的
aladdingame
  • Postovi: 5

Mario

恐怕只能重写文档中已经编写的内容。 请尝试按照以下步骤操作:

spine-runtimes/spine-cocos2dx at 3.8

我不确定“没有cocos2d”的意思。 您是否正在尝试让Spine与Swift / ObjectiveC应用一起工作? 恐怕目前不可能。

I'm afraid I could only rewrite what we already have written in the documentation. Please try to follow these steps here:

spine-runtimes/spine-cocos2dx at 3.8

I'm not sure what you mean with "without cocos2d". Are you trying to get Spine working with a Swift/ObjectiveC app? I'm afraid that's currently not possible.
Avatar
Mario

Mario
  • Postovi: 3043

a12869318

他们让你把cocos2dx自带的库删除了,再添加新库,跟cocos有一毛钱关系? 你用cocos3.8接入spine2.0也可以
a12869318
  • Postovi: 9


Natrag na 中国Spine用户